# Before `make install" is performed this script should be runnable with
# `make test". After `make install" it should work as `perl test.pl"

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..11\n"; }
END {print "not ok 1\n" unless $loaded;}
use Tax::Canada;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 23"
# (correspondingly "not ok 23") depending on the success of chunk 13
# of the test code):

my @merchant=qw(QC ON Alberta);

my $p=Tax::Canada::which_province("Quebec", @merchant);
print $p eq "QC" ? "ok 2\n" : "not ok 2\n";

$p=Tax::Canada::which_province("British Columbia", @merchant);
print $p eq "CA" ? "ok 3\n" : "not ok 3\n";

$p=Tax::Canada::which_province("Nova Scotia", @merchant);
print $p eq "NS" ? "ok 4\n" : "not ok 4\n";

$p=Tax::Canada::which_province("AB", @merchant);
print $p eq "AB" ? "ok 5\n" : "not ok 5\n";

# Simple tests

my($gst, $pst, $hst)=Tax::Canada::sales_tax('AB', 100);
print (($gst==7 and $pst==0 and $hst==0) ? "ok 6\n" : "not ok 6\n");

($gst, $pst, $hst)=Tax::Canada::sales_tax('BC', 100);
print (($gst==7 and $pst==7 and $hst==0) ? "ok 7\n" : "not ok 7\n");

($gst, $pst, $hst)=Tax::Canada::sales_tax('QC', 100);
print (($gst==7 and $pst==8.03 and $hst==0) ? "ok 8\n" : "not ok 8\n");

($gst, $pst, $hst)=Tax::Canada::sales_tax('Newfoundland', 100);
print (($gst==0 and $pst==0 and $hst==15) ? "ok 9\n" : "not ok 9\n");

# Book sales tax tests

($gst, $pst, $hst)=Tax::Canada::sales_tax('NS', 100, 100);
print (($gst==0 and $pst==0 and $hst==22) ? "ok 10\n" : "not ok 10\n");

($gst, $pst, $hst)=Tax::Canada::sales_tax('QC', 100, 100);
print (($gst==14 and $pst==8.03 and $hst==0) ? "ok 11\n" : "not ok 11\n");

# Piggy back

($gst, $pst, $hst)=Tax::Canada::sales_tax('PEI', 100, 100);
print (($gst==14 and int($pst*100)==2140 and $hst==0) ? "ok 11\n" : "not ok 11\n");

